webpackJsonp([0],{

/***/ 837:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "RegistParking2PageModule", function() { return RegistParking2PageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__regist_parking2__ = __webpack_require__(845);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var RegistParking2PageModule = /** @class */ (function () {
    function RegistParking2PageModule() {
    }
    RegistParking2PageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__regist_parking2__["a" /* RegistParking2Page */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__regist_parking2__["a" /* RegistParking2Page */]),
            ],
        })
    ], RegistParking2PageModule);
    return RegistParking2PageModule;
}());

//# sourceMappingURL=regist-parking2.module.js.map

/***/ }),

/***/ 841:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Role; });
var Role;
(function (Role) {
    Role["parking"] = "p";
    Role["entreprise"] = "e";
})(Role || (Role = {}));
//# sourceMappingURL=role.enum.js.map

/***/ }),

/***/ 845:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return RegistParking2Page; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_angularfire2_auth__ = __webpack_require__(110);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_angularfire2_database__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__enum_role_enum__ = __webpack_require__(841);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__angular_forms__ = __webpack_require__(26);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
/*
Autor: Esteban Corral González
Trabajo Final de Grado de Ingenieria Infomática de la UOC
Esta obra está sujeta a una licencia de Reconocimiento-NoComercial-SinObraDerivada 3.0 España de Creative Commons
*/






/**
 * Página de registro de datos del perfil del parking
 *
 * Formulario para guardar la información del perfil del parking
 */
var RegistParking2Page = /** @class */ (function () {
    function RegistParking2Page(navCtrl, navParams, authPark, afDatabase, fb) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.authPark = authPark;
        this.afDatabase = afDatabase;
        this.fb = fb;
        this.userParking = {};
        this.parking = {};
        this.plazas = [];
        //Comprobaciones de datos del formulario:
        this.form = this.fb.group({
            nombre: new __WEBPACK_IMPORTED_MODULE_5__angular_forms__["b" /* FormControl */]('', __WEBPACK_IMPORTED_MODULE_5__angular_forms__["g" /* Validators */].required),
            provincia: new __WEBPACK_IMPORTED_MODULE_5__angular_forms__["b" /* FormControl */]('', __WEBPACK_IMPORTED_MODULE_5__angular_forms__["g" /* Validators */].required),
            localidad: new __WEBPACK_IMPORTED_MODULE_5__angular_forms__["b" /* FormControl */]('', __WEBPACK_IMPORTED_MODULE_5__angular_forms__["g" /* Validators */].required),
            direccion: new __WEBPACK_IMPORTED_MODULE_5__angular_forms__["b" /* FormControl */]('', __WEBPACK_IMPORTED_MODULE_5__angular_forms__["g" /* Validators */].required),
            telefono: new __WEBPACK_IMPORTED_MODULE_5__angular_forms__["b" /* FormControl */]('', __WEBPACK_IMPORTED_MODULE_5__angular_forms__["g" /* Validators */].compose([
                __WEBPACK_IMPORTED_MODULE_5__angular_forms__["g" /* Validators */].required,
                __WEBPACK_IMPORTED_MODULE_5__angular_forms__["g" /* Validators */].minLength(9)
            ])),
            plazas: new __WEBPACK_IMPORTED_MODULE_5__angular_forms__["b" /* FormControl */]('', __WEBPACK_IMPORTED_MODULE_5__angular_forms__["g" /* Validators */].required)
        });
    }
    // Guarda en base de datos la información del perfil del parking
    RegistParking2Page.prototype.createProfile = function () {
        var _this = this;
        this.userParking.role = __WEBPACK_IMPORTED_MODULE_4__enum_role_enum__["a" /* Role */].parking;
        this.authPark.authState.take(1).subscribe(function (auth) {
            _this.clave = auth.uid;
            _this.email = auth.email;
            _this.name = _this.userParking.name;
            _this.afDatabase.object("userParking/" + auth.uid)
                .set(_this.userParking).then(function () { return _this.navCtrl.push('LoginPage'); });
            _this.createParking();
        });
    };
    RegistParking2Page.prototype.createParking = function () {
        this.parking.key = this.clave;
        this.parking.email = this.email;
        this.parking.name = this.name;
        this.pushPlazas();
        this.parking.plazas = this.plazas;
        this.parking.localidad = this.parking.localidad.toLowerCase();
        this.afDatabase.list("parkings").push(this.parking);
    };
    // Genera array de estado de las plazas según el número de plazas indicado por el usuario
    RegistParking2Page.prototype.pushPlazas = function () {
        for (var i = 0; i < this.numPlazas; i++) {
            this.plazas[i] = ({
                numero: i + 1,
                estado: 'libre'
            });
        }
    };
    RegistParking2Page = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-regist-parking2',template:/*ion-inline-start:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\regist-parking2\regist-parking2.html"*/'<!--\n  Generated template for the RegistParking2Page page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar color="primary">\n    <ion-title>Registrar Nuevo Parking (2)</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content padding class="background">\n  <ion-card>\n    <form [formGroup]="form">\n      <ion-list>\n        <ion-item>\n          <ion-input type="text" name="nombre" placeholder="Nombre parking" [(ngModel)]="userParking.name" formControlName="nombre"></ion-input>\n        </ion-item>\n\n        <ion-item>\n          <ion-input type="text" name="provincia" placeholder="Provincia" [(ngModel)]="parking.provincia" formControlName="provincia"></ion-input>\n        </ion-item>\n\n        <ion-item>\n          <ion-input type="text" name="localidad" placeholder="Localidad" [(ngModel)]="parking.localidad" formControlName="localidad"></ion-input>\n        </ion-item>\n\n        <ion-item>\n          <ion-input type="text" name="direccion" placeholder="Direccion" [(ngModel)]="parking.direccion" formControlName="direccion"></ion-input>\n        </ion-item>\n\n        <ion-item>\n          <ion-input type="number" name="telefono" placeholder="Teléfono"  [(ngModel)]="parking.telefono" formControlName="telefono"></ion-input>\n        </ion-item>\n\n        <ion-item>\n          <ion-input type="number" name="plazas" placeholder="Plazas" [(ngModel)]="numPlazas" ngDefaultControl formControlName="plazas"></ion-input>\n        </ion-item>\n        <br/>\n      </ion-list>\n    </form>\n  </ion-card>\n\n  <ion-card>\n    <ion-list>\n      <ion-item>\n        <ion-label>Servicios</ion-label>\n        <ion-select [(ngModel)]="parking.servicios" multiple="true" cancelText="Cancelar" okText="Aceptar">\n          <ion-option value="Cafeteria">Cafeteria</ion-option>\n          <ion-option value="Restaurante">Restaurante</ion-option>\n          <ion-option value="Alquiler Coches">Alquiler Coches</ion-option>\n          <ion-option value="Alquiler Naves">Alquiler Naves</ion-option>\n          <ion-option value="Alquiler Oficinas">Alquiler Oficinas</ion-option>\n          <ion-option value="Lavado de vehículos">Lavado de vehículos</ion-option>\n          <ion-option value="Vigilancia activa">Vigilancia Activa</ion-option>\n          <ion-option value="Control de acceso">Control de acceso</ion-option>\n        </ion-select>\n      </ion-item>\n      <br>\n      <button ion-button block (click)="createProfile()" [disabled]="!form.valid">Registrar Parking</button>\n    </ion-list>\n  </ion-card>\n  </ion-content>\n\n'/*ion-inline-end:"C:\Users\Esteban\WebstormProjects\tfg\src\pages\regist-parking2\regist-parking2.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2_angularfire2_auth__["a" /* AngularFireAuth */],
            __WEBPACK_IMPORTED_MODULE_3_angularfire2_database__["a" /* AngularFireDatabase */], __WEBPACK_IMPORTED_MODULE_5__angular_forms__["a" /* FormBuilder */]])
    ], RegistParking2Page);
    return RegistParking2Page;
}());

//# sourceMappingURL=regist-parking2.js.map

/***/ })

});
//# sourceMappingURL=0.js.map